Subject: bug#44612: Read standard input in `guix repl'

From: Pierre Neidhardt <[email-masked]>
Date: Thu, 03 Dec 2020 11:33:00 +0100

Hi Ludo!

Ludovic Courtès <[email-masked]> writes:

> As discussed earlier, I think you should use ‘-t machine’, which doesn’t
> have the welcome message.  ‘-t guile’ (the default) is meant for humans,
> not for inter-process communication.

Oh, for sure, I'm using `t machine` now.

All I meant is that the aforementioned behaviour highlights a
probable (harmless) bug, so if someone has got the time, they should
look at what `guix repl` is doing with stdin, something is fishy.

Cheers!

-- 
Pierre Neidhardt
https://ambrevar.xyz/